import java.util.Scanner;
public class PantalladeLED {
  
  public static void main(String[] args) {
    
    
    //Inicializando Variables al iniciar el ciclo
       
    int incremento = 0;
   Scanner teclado = new Scanner(System.in);
    
    
  
    
    System.out.println("LED number display"); 
    System.out.println(" Número a mostrar[0=Salir]:");
    System.out.println("Factor de aumento(x):");
    incremento = teclado.nextInt();
    
    teclado.skip("[\n\r\t]*");
    String numero= teclado.nextLine();
    if(numero.equals("0")) 
      return;
    for(int i =0;i < numero.length(); ++i)
    {
      int fila=0;
      int columna=0;
      for(  fila=1; fila>= incremento;fila *= incremento)// usando el incremento para que me aumente las filas
      {
        for (columna=1; fila >= incremento;columna *= incremento)// usando el incremento para que me aumente las columnas
        {
          
          if(numero.charAt(i) =='1')
          {
            
            // para formar el cero
            for ( fila = 1; fila <= 3; ++fila )
            {
              for ( columna = 1; columna <= 5; ++columna ){
                if (fila ==1 || fila ==5)
                  System.out.print("#");
                else if (columna==1 || columna==3){
                  System.out.print("#");
                }else
                  System.out.print (" ");
              }
              System.out.println();
            }
          }
        
        if(numero.charAt(i)== '2' )            
          
          
          // para formar el 1
          for ( columna = 1; columna <= 4; ++columna )
        {
          System.out.print("#");
        System.out.println();
        }
        
        
        
        if(numero.charAt(i)== '3') 
          // para formar el dos
          
          for ( fila = 1; fila <= 3; ++fila )
        {
          for ( columna = 1; columna <= 5; ++columna ){
            if (fila ==1 && fila ==3 && fila ==5)
              System.out.print("#");
            else if (fila ==2)
              System.out.print("  #");
            else  if(fila ==4)
              System.out.print("#  ");
            
          }
        }
      }
      }
    }
  }
}
    
  
  
  
  
  
  
  
  
  
  
  